:root {
    --bg: #E2DDD5;
    --text: #43403B;
    --grid: #00000008;
    --svg:#202020;
    --bg2:#E2DDD500;
    --text2:#716B65;
    --tag:#ffffff;
    --tile:#D3CDC4;
}
:root[data-theme="dark"] {
    --bg: #111111;
    --text: #ffffff;
    --grid: #ffffff04;
    --svg:#ffffff;
    --bg2:#11111100;
    --text2:#ffffff70;
    --tag: #202020;
    --tile:#1D1D1C;
}
body{
    width:100%;
    height:100vh;
    font-size: 20px;
    background:var(--bg);
    margin:0;
    padding:0;
    font-family: "Inter", sans-serif;

    --cell: 5vmin;
    background-image:
        linear-gradient(to right, var(--grid) 1px, transparent 1px),
        linear-gradient(to bottom, var(--grid) 1px, transparent 1px);
    background-size: var(--cell) var(--cell);
}
main{
    width:100%;
    height:100%;
    display:flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 7rem;
}
h1{
    font-size:8rem;
    line-height: 90%;
    color:var(--text);
}
h2{
    font-size:3rem;
    color: var(--text);
    margin:0;
}
h3{
    font-size:2rem;
    color:var(--text);
    margin-top:4rem;
}
h4{
    font-size: 0.8rem;
    color: var(--text);
    text-transform: uppercase;
}
p{
    color: var(--text2);
    font-size:1rem;
    line-height: 1.8rem;
}
ul{
    padding-inline-start: 16px;
}
li{
    color: var(--text2);
    font-size:1rem;
    line-height: 1.8rem;
    padding-left:0;
}
section{
    padding:0 3rem;
    display: flex;
    flex-wrap: wrap;
    margin-bottom:3rem;
    width:100%;
    max-width:1400px;
    box-sizing:border-box;
}
.centered{
    justify-content: center;
    text-align: center;
}
.vcentered{
    display:flex;
    flex-direction: column;
    justify-content: center;
}
.col1{
    flex-basis: 16%;
}
.col2{
    flex-basis: 32%;
}
.col3{
    flex-basis: 48%;
}
.col4{
    flex-basis: 64%;
}
.col6{
    flex-basis: 96%;
}
.content{
    display:flex;
    gap:1.5rem;
}
.tag{
    font-size:0.8rem;
    color:var(--text);
    background-color:var(--tag);
    padding:5px 10px;
    text-transform:uppercase;
    display: flex;
    justify-content: center;
    align-items: center;
}
/* HOME */
.thesixth{
    display:flex;
    flex-direction: row;
    gap:2.5em;
}
.thesixth, .stage{
    height:5em;
}
.stage, .the, .sixth{
    gap: 0.5em;
}
.wordmark{
    display:flex;
    flex-direction: column;
    height: 12em;
    justify-content: space-between;
}
.A, .T, .H, .E, .G, .X, .S, .I{
    height:5em;
    display: inline-flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
.A, .G{
    width:6em;
}
.I{
    width:3em;
}
.S, .T, .X, .H, .E{
    width:5em;
}
.logo{
    width:14em;
    height:12em;
}
.quacky{
    height: 9em;
    width:auto;
    margin-right:-2rem;
    z-index: 2;
    position:relative;
}
footer, header{
    position:fixed;
    right:0;
    left:0;
    height:100px;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 50px;
    z-index:2;
}
footer a, footer p, header a, header p{
    font-size:0.8rem;
    color: var(--text);
}
footer{
    bottom:0;
    background-image: linear-gradient(to top, var(--bg), var(--bg2));
}
.footerlinks{
    display:flex;
    gap:2em;
}
.footerlinks a, .textlink{
    color: var(--text);
    text-decoration: none;
}
.footerlinks a:hover, .textlink:hover{
    opacity:0.8;
    text-decoration:line-through;
}
.header{
    top:0;
}
.header::before{
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;
    background-image: linear-gradient(to bottom, var(--bg), var(--bg2));
    opacity: 0;
    transition: opacity 0.7s ease;
    height:150%;
}
.header.scrolled::before{
    opacity:1;
}
.button{
    background-color: #FFCA1E;
    font-size: 0.8rem;
    color: #202020;
    padding: 20px 30px;
    border-radius: 0 10px 10px 10px;
    text-transform: uppercase;
    font-weight: 700;
    text-decoration: none;
}
.button:hover{
    background-color: #FFDE70;
}

/* Projectpage */
.projectholder{
    height:auto;
    gap:3rem;
}
.button.back{
    position:fixed;
    top:80px;
    left:50px;
    z-index:3;
}
.projecthero{
    width:100%;
    height:80vh;
    background-color:#B0D287;
    display:flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
.projecthero img{
    height:100%;
    width:auto;
}
.tagholder{
    margin-bottom:2rem;
    display: flex;
    flex-direction: row;
    gap:10px;
}
.tags{
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.featuresimg{
    width:60%;
}
.variationsimg{
    width:80%;
}
.customization{
    display:flex;
    flex-direction: row;
    gap:10px;
    margin-top:2rem;
}
.customizationtile{
    width:24%;
    background-color: var(--tile);
    aspect-ratio: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    position:relative;
    box-sizing: border-box;
}
.customizationtile p{
    position:absolute;
    font-size:0.75rem;
    line-height: 1rem;;
    bottom: 0rem;
    color:var(--text);
    text-transform: uppercase;
    padding: 0 10px;
}
.downloadwps{
    display:flex;
    flex-direction:row;
    margin-top:3rem;
    gap:1rem;
}
.downloadwps span{
    position:absolute;
    left:20px;
    bottom:20px;
}
.downloadwps div{
    width:50%;
    height:16rem;
    position: relative;
}
.downloadwps img{
    height:100%;
}
.productlink{
    color: var(--text2);
}
.productlink:hover{
    color:#FFCA1E;
}
.last{
    margin-bottom:10rem;
}
/* Privacy/Terms */
.privacyholder, .termsholder{
    display:block;
}
.privacyholder section, .termsholder section{
    padding:200px 50px;
    flex-wrap: nowrap;
    flex-direction: column;
}
/* MEDIA QUERY*/
@media (max-width: 1300px) {
    body{
        font-size:12px;
    }
}
@media (max-width: 900px) {
    body{
        font-size:10px;
    }
}
@media (max-width: 640px) {
    .content{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 6em;
    }
    .col1, .col2, .col3, .col4, .col6{
        flex-basis: 90%;
    }
    .stage{
        display: flex;
        justify-content: center;
    }
    footer, header{
        flex-direction: column;
        align-items: start;
        gap:0;
        height:200px;
    }
    footer{
        justify-content: end;
        padding-bottom:40px
    }
    header{
        justify-content:start;
        padding-top:40px;
    }
    .header::before{
        height:100%;
    }
    footer p, header p{
        padding:0;
        margin:0;
    }
    .button.back{
        top:130px;
    }
    .privacyholder section, .termsholder section{
        padding:300px 50px;
    }
    h1{
        font-size:4rem;
    }
    h2{
        font-size:2rem;
    }
    .downloadwps{
        flex-direction: column;
        gap:20px;
    }
    .downloadwps div{
        width:auto;
        height:8rem;
    }
    .last{
        margin-bottom:20rem;
    }
    .projectholder{
        margin-top:140px;
    }
    .projecthero{
        height:400px;
    }
    .button.back{
        display:none;
    }
    .customizationtile{
        width:45%;
        padding:10px;
        aspect-ratio: 0.6;
    }
    .customization{
        flex-wrap: wrap;
    }
    .customizationtile svg{
        transform: translateY(-20px);
    }
    .featuresimg{
        margin-bottom:50px;
        width:80%;
    }
}